TestCommandlineEngine Struct Reference

`#include <engine.test.h>`

## Public Member Functions

Test | optsAndArgs ()
Test | noSwitchesAfterFirstArg ()
Test | optsOnly ()
Test | clusteredShortOpts ()
Test | longOptsWithDashes ()
Test | longOptsWithArgs ()
Test | commandWithArg ()
Test | commandsWithOverlappingArgs ()
Test | commandsWithoutCommand ()
Test | creationShortcuts ()

## Member Function Documentation

Test TestCommandlineEngine::clusteredShortOpts | ( |  | ) |

inline

References Engine1::antani, assert, assert_eq, Engine1::blinda, wibble::commandline::BoolOption::boolValue(), wibble::iterator(), Public< T >::parseList(), and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::commandsWithoutCommand | ( |  | ) |

inline

References assert, assert_eq, wibble::commandline::BoolOption::boolValue(), Engine2::fix_quick, Engine2::fix_yell, Engine2::help, wibble::iterator(), Public< T >::parseList(), Engine2::scramble_random, Engine2::scramble_yell, and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::commandsWithOverlappingArgs | ( |  | ) |

inline

References assert, assert_eq, wibble::commandline::BoolOption::boolValue(), Engine2::fix, Engine2::fix_quick, Engine2::fix_yell, Engine2::help, wibble::iterator(), Public< T >::parseList(), Engine2::scramble_random, Engine2::scramble_yell, and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::commandWithArg | ( |  | ) |

inline

References assert, assert_eq, wibble::commandline::BoolOption::boolValue(), Engine2::fix_quick, Engine2::fix_yell, Engine2::help, wibble::iterator(), Public< T >::parseList(), Engine2::scramble, Engine2::scramble_random, Engine2::scramble_yell, and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::creationShortcuts | ( |  | ) |

inline

References wibble::commandline::OptionGroup::add(), assert, assert_eq, wibble::commandline::BoolOption::boolValue(), wibble::iterator(), and Public< T >::parseList().

Test TestCommandlineEngine::longOptsWithArgs | ( |  | ) |

inline

References Engine1::antani, assert, assert_eq, Engine1::blinda, wibble::commandline::BoolOption::boolValue(), wibble::iterator(), Public< T >::parseList(), and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::longOptsWithDashes | ( |  | ) |

inline

References Engine1::antani, assert, assert_eq, Engine1::blinda, wibble::commandline::BoolOption::boolValue(), wibble::commandline::SingleOption< T >::boolValue(), wibble::iterator(), and Public< T >::parseList().

Test TestCommandlineEngine::noSwitchesAfterFirstArg | ( |  | ) |

inline

References Engine1::antani, assert, assert_eq, Engine1::blinda, wibble::commandline::BoolOption::boolValue(), wibble::iterator(), Public< T >::parseList(), and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::optsAndArgs | ( |  | ) |

inline

References Engine1::antani, assert, assert_eq, Engine1::blinda, wibble::commandline::BoolOption::boolValue(), wibble::iterator(), Public< T >::parseList(), and wibble::commandline::SingleOption< T >::stringValue().

Test TestCommandlineEngine::optsOnly | ( |  | ) |

inline

References Engine1::antani, assert, assert_eq, Engine1::blinda, wibble::commandline::BoolOption::boolValue(), wibble::commandline::SingleOption< T >::boolValue(), wibble::iterator(), and Public< T >::parseList().

The documentation for this struct was generated from the following file:

- engine.test.h